#!/usr/local/bin/perl5 -w

# This script adds to the game queue.

use vars qw($usage);
$usage = "add_to_game_queue.pl <slow_fac> <conf> <team1> <team1arg> <team2> <team2arg> [<count>]";
use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

($qdir, undef, undef, $gamelistfn, undef, undef, $queueemptyfile) = &lock_info;
$gamelisttmpfn = "$qdir/gamelist.$$.tmp";

(@ARGV >= 5) || die $usage;

($slow_fac, $conf, $team1, $team1arg, $team2, $team2arg, $count) = @ARGV;
$count = 1 if (not defined($count));

#now, let's do some simple verification that this line makes sense
die "Weird slow down: $slow_fac" if ($slow_fac <= 0);
die "Conf dir '$global_conf_dir/$conf' DNE" if (not -e "$global_conf_dir/$conf");
die "Left team '$team1' does not exist" if (not -e "$global_team_dir/$team1");
die "Right team '$team2' does not exist" if (not -e "$global_team_dir/$team2");

(acquire_lock(-1, "add_to_game_queue.pl")==0) || die "Could not acquire queue lock!";

open (GAMELIST, "<$gamelistfn") || die "Could not open game list file: $!";
open (GAMELISTTMP, ">$gamelisttmpfn") || die "Could not open game list tmp file: $!";

print GAMELISTTMP <GAMELIST>;

for ($i=0; $i<$count; $i++) {
  $date = `date`;
  chomp $date;
  $date =~ s/\s+/_/g;
  print GAMELISTTMP "$date $slow_fac $conf $team1 $team1arg $team2 $team2arg\n";
}

close GAMELIST;
close GAMELISTTMP;
unlink $gamelistfn or die "Could not unlink game list file: $!";
rename $gamelisttmpfn, $gamelistfn or die "Could not rename tmp file: $!";
&release_lock;

unlink $queueemptyfile;
