#!/usr/local/bin/perl5 -w

# This script adds an exit to the top of the game queue

use vars qw($usage);
$usage = "prepend_exit\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

($qdir, undef, undef, $gamelistfn) = &lock_info;
$gamelisttmpfn = "$qdir/gamelist.$$.tmp";

(acquire_lock(-1, "prepend_exit.pl")==0) || die "Could not acquire queue lock!";

open (GAMELIST, "<$gamelistfn") || die "Could not open game list file: $!";
open (GAMELISTTMP, ">$gamelisttmpfn") || die "Could not open game list tmp file: $!";

print GAMELISTTMP "exit\n";
print GAMELISTTMP <GAMELIST>;

close GAMELIST;
close GAMELISTTMP;
unlink $gamelistfn or die "Could not unlink game list file: $!";
rename $gamelisttmpfn, $gamelistfn or die "Could not rename tmp file: $!";

&release_lock;


